# Type Alias RTMessageHandler<T, F>

type RTMessageHandler<
T extends keyof AllMessages,
F extends keyof AllMessages[T],
> = {
function: F;
handler: (message: AllMessagesInternal[T][F]) => void;
namespace: T;
}

#### Type Parameters

- T extends keyof AllMessages
- F extends keyof AllMessages[T]

- Defined in jamespot-user-api/src/types/realtime.ts:106

##### Index

### Properties

function
handler
namespace

## Properties

### function

function: F

- Defined in jamespot-user-api/src/types/realtime.ts:108

### handler

handler: (message: AllMessagesInternal[T][F]) => void

- Defined in jamespot-user-api/src/types/realtime.ts:109

### namespace

namespace: T

- Defined in jamespot-user-api/src/types/realtime.ts:107